### Method

# Goa Account call_ensure_credentials

#### Declaration [src]

    void
    goa_account_call_ensure_credentials (
      GoaAccount* proxy,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously invokes the EnsureCredentials() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `goa_account_call_ensure_credentials_finish()` to get the result of the operation.

See `goa_account_call_ensure_credentials_sync()` for the synchronous, blocking version of this method.

This method completes asynchronously. Use `goa_account_call_ensure_credentials_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.